Bug 1928119 - python-fiat: FTBFS in Fedora rawhide
Summary: python-fiat: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: python-fiat
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
: 1968975 (view as bug list)
Depends On:
Blocks: F35FTBFS F35FailsToInstall PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-02-12 12:49 UTC by Tomáš Hrnčiar
Modified: 2021-06-10 21:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-10 21:11:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2021-02-12 12:49:49 UTC
Description of problem:
Package python-fiat fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
2019.1.0-6.fc34

Steps to Reproduce:
koji build --scratch f34 python-fiat-2019.1.0-6.fc34.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/python-fiat

==================================== ERRORS ====================================
___________ ERROR collecting test/unit/test_discontinuous_taylor.py ____________
/usr/lib/python3.9/site-packages/pluggy/hooks.py:286: in __call__
    return self._hookexec(self, self.get_hookimpls(), kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:93: in _hookexec
    return self._inner_hookexec(hook, methods, kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:84: in <lambda>
    self._inner_hookexec = lambda hook, methods, kwargs: hook.multicall(
/usr/lib/python3.9/site-packages/_pytest/python.py:249: in pytest_pycollect_makeitem
    res = list(collector._genfunctions(name, obj))
/usr/lib/python3.9/site-packages/_pytest/python.py:458: in _genfunctions
    definition = FunctionDefinition.from_parent(self, name=name, callobj=funcobj)
/usr/lib/python3.9/site-packages/_pytest/python.py:1619: in from_parent
    return super().from_parent(parent=parent, **kw)
/usr/lib/python3.9/site-packages/_pytest/nodes.py:190: in from_parent
    return cls._create(parent=parent, **kw)
/usr/lib/python3.9/site-packages/_pytest/nodes.py:94: in _create
    return super().__call__(*k, **kw)
/usr/lib/python3.9/site-packages/_pytest/python.py:1609: in __init__
    fixtureinfo = self.session._fixturemanager.getfixtureinfo(
/usr/lib/python3.9/site-packages/_pytest/fixtures.py:1464: in getfixtureinfo
    initialnames, names_closure, arg2fixturedefs = fm.getfixtureclosure(
/usr/lib/python3.9/site-packages/pytest_cases/plugin.py:499: in getfixtureclosure
    merge(sorted_fixturenames, _init_fixnames)
/usr/lib/python3.9/site-packages/pytest_cases/plugin.py:461: in merge
    into_list.append(l)
E   AttributeError: 'generator' object has no attribute 'append'
____________ ERROR collecting test/unit/test_facet_support_dofs.py _____________
/usr/lib/python3.9/site-packages/pluggy/hooks.py:286: in __call__
    return self._hookexec(self, self.get_hookimpls(), kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:93: in _hookexec
    return self._inner_hookexec(hook, methods, kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:84: in <lambda>
    self._inner_hookexec = lambda hook, methods, kwargs: hook.multicall(
/usr/lib/python3.9/site-packages/_pytest/python.py:249: in pytest_pycollect_makeitem
    res = list(collector._genfunctions(name, obj))
/usr/lib/python3.9/site-packages/_pytest/python.py:458: in _genfunctions
    definition = FunctionDefinition.from_parent(self, name=name, callobj=funcobj)
/usr/lib/python3.9/site-packages/_pytest/python.py:1619: in from_parent
    return super().from_parent(parent=parent, **kw)
/usr/lib/python3.9/site-packages/_pytest/nodes.py:190: in from_parent
    return cls._create(parent=parent, **kw)
/usr/lib/python3.9/site-packages/_pytest/nodes.py:94: in _create
    return super().__call__(*k, **kw)
/usr/lib/python3.9/site-packages/_pytest/python.py:1609: in __init__
    fixtureinfo = self.session._fixturemanager.getfixtureinfo(
/usr/lib/python3.9/site-packages/_pytest/fixtures.py:1464: in getfixtureinfo
    initialnames, names_closure, arg2fixturedefs = fm.getfixtureclosure(
/usr/lib/python3.9/site-packages/pytest_cases/plugin.py:499: in getfixtureclosure
    merge(sorted_fixturenames, _init_fixnames)
/usr/lib/python3.9/site-packages/pytest_cases/plugin.py:461: in merge
    into_list.append(l)
E   AttributeError: 'generator' object has no attribute 'append'
___________________ ERROR collecting test/unit/test_fiat.py ____________________
/usr/lib/python3.9/site-packages/pluggy/hooks.py:286: in __call__
    return self._hookexec(self, self.get_hookimpls(), kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:93: in _hookexec
    return self._inner_hookexec(hook, methods, kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:84: in <lambda>
    self._inner_hookexec = lambda hook, methods, kwargs: hook.multicall(
/usr/lib/python3.9/site-packages/_pytest/python.py:249: in pytest_pycollect_makeitem
    res = list(collector._genfunctions(name, obj))
/usr/lib/python3.9/site-packages/_pytest/python.py:458: in _genfunctions
    definition = FunctionDefinition.from_parent(self, name=name, callobj=funcobj)
/usr/lib/python3.9/site-packages/_pytest/python.py:1619: in from_parent
    return super().from_parent(parent=parent, **kw)
/usr/lib/python3.9/site-packages/_pytest/nodes.py:190: in from_parent
    return cls._create(parent=parent, **kw)
/usr/lib/python3.9/site-packages/_pytest/nodes.py:94: in _create
    return super().__call__(*k, **kw)
/usr/lib/python3.9/site-packages/_pytest/python.py:1609: in __init__
    fixtureinfo = self.session._fixturemanager.getfixtureinfo(
/usr/lib/python3.9/site-packages/_pytest/fixtures.py:1464: in getfixtureinfo
    initialnames, names_closure, arg2fixturedefs = fm.getfixtureclosure(
/usr/lib/python3.9/site-packages/pytest_cases/plugin.py:499: in getfixtureclosure
    merge(sorted_fixturenames, _init_fixnames)
/usr/lib/python3.9/site-packages/pytest_cases/plugin.py:461: in merge
    into_list.append(l)
E   AttributeError: 'generator' object has no attribute 'append'
______________ ERROR collecting test/unit/test_gauss_legendre.py _______________
/usr/lib/python3.9/site-packages/pluggy/hooks.py:286: in __call__
    return self._hookexec(self, self.get_hookimpls(), kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:93: in _hookexec
    return self._inner_hookexec(hook, methods, kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:84: in <lambda>
    self._inner_hookexec = lambda hook, methods, kwargs: hook.multicall(
/usr/lib/python3.9/site-packages/_pytest/python.py:249: in pytest_pycollect_makeitem
    res = list(collector._genfunctions(name, obj))
/usr/lib/python3.9/site-packages/_pytest/python.py:458: in _genfunctions
    definition = FunctionDefinition.from_parent(self, name=name, callobj=funcobj)
/usr/lib/python3.9/site-packages/_pytest/python.py:1619: in from_parent
    return super().from_parent(parent=parent, **kw)
/usr/lib/python3.9/site-packages/_pytest/nodes.py:190: in from_parent
    return cls._create(parent=parent, **kw)
/usr/lib/python3.9/site-packages/_pytest/nodes.py:94: in _create
    return super().__call__(*k, **kw)
/usr/lib/python3.9/site-packages/_pytest/python.py:1609: in __init__
    fixtureinfo = self.session._fixturemanager.getfixtureinfo(
/usr/lib/python3.9/site-packages/_pytest/fixtures.py:1464: in getfixtureinfo
    initialnames, names_closure, arg2fixturedefs = fm.getfixtureclosure(
/usr/lib/python3.9/site-packages/pytest_cases/plugin.py:499: in getfixtureclosure
    merge(sorted_fixturenames, _init_fixnames)
/usr/lib/python3.9/site-packages/pytest_cases/plugin.py:461: in merge
    into_list.append(l)
E   AttributeError: 'generator' object has no attribute 'append'
__________ ERROR collecting test/unit/test_gauss_lobatto_legendre.py ___________
/usr/lib/python3.9/site-packages/pluggy/hooks.py:286: in __call__
    return self._hookexec(self, self.get_hookimpls(), kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:93: in _hookexec
    return self._inner_hookexec(hook, methods, kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:84: in <lambda>
    self._inner_hookexec = lambda hook, methods, kwargs: hook.multicall(
/usr/lib/python3.9/site-packages/_pytest/python.py:249: in pytest_pycollect_makeitem
    res = list(collector._genfunctions(name, obj))
/usr/lib/python3.9/site-packages/_pytest/python.py:458: in _genfunctions
    definition = FunctionDefinition.from_parent(self, name=name, callobj=funcobj)
/usr/lib/python3.9/site-packages/_pytest/python.py:1619: in from_parent
    return super().from_parent(parent=parent, **kw)
/usr/lib/python3.9/site-packages/_pytest/nodes.py:190: in from_parent
    return cls._create(parent=parent, **kw)
/usr/lib/python3.9/site-packages/_pytest/nodes.py:94: in _create
    return super().__call__(*k, **kw)
/usr/lib/python3.9/site-packages/_pytest/python.py:1609: in __init__
    fixtureinfo = self.session._fixturemanager.getfixtureinfo(
/usr/lib/python3.9/site-packages/_pytest/fixtures.py:1464: in getfixtureinfo
    initialnames, names_closure, arg2fixturedefs = fm.getfixtureclosure(
/usr/lib/python3.9/site-packages/pytest_cases/plugin.py:499: in getfixtureclosure
    merge(sorted_fixturenames, _init_fixnames)
/usr/lib/python3.9/site-packages/pytest_cases/plugin.py:461: in merge
    into_list.append(l)
E   AttributeError: 'generator' object has no attribute 'append'
_________________ ERROR collecting test/unit/test_hdivtrace.py _________________
/usr/lib/python3.9/site-packages/pluggy/hooks.py:286: in __call__
    return self._hookexec(self, self.get_hookimpls(), kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:93: in _hookexec
    return self._inner_hookexec(hook, methods, kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:84: in <lambda>
    self._inner_hookexec = lambda hook, methods, kwargs: hook.multicall(
/usr/lib/python3.9/site-packages/_pytest/python.py:249: in pytest_pycollect_makeitem
    res = list(collector._genfunctions(name, obj))
/usr/lib/python3.9/site-packages/_pytest/python.py:458: in _genfunctions
    definition = FunctionDefinition.from_parent(self, name=name, callobj=funcobj)
/usr/lib/python3.9/site-packages/_pytest/python.py:1619: in from_parent
    return super().from_parent(parent=parent, **kw)
/usr/lib/python3.9/site-packages/_pytest/nodes.py:190: in from_parent
    return cls._create(parent=parent, **kw)
/usr/lib/python3.9/site-packages/_pytest/nodes.py:94: in _create
    return super().__call__(*k, **kw)
/usr/lib/python3.9/site-packages/_pytest/python.py:1609: in __init__
    fixtureinfo = self.session._fixturemanager.getfixtureinfo(
/usr/lib/python3.9/site-packages/_pytest/fixtures.py:1464: in getfixtureinfo
    initialnames, names_closure, arg2fixturedefs = fm.getfixtureclosure(
/usr/lib/python3.9/site-packages/pytest_cases/plugin.py:499: in getfixtureclosure
    merge(sorted_fixturenames, _init_fixnames)
/usr/lib/python3.9/site-packages/pytest_cases/plugin.py:461: in merge
    into_list.append(l)
E   AttributeError: 'generator' object has no attribute 'append'
________________ ERROR collecting test/unit/test_quadrature.py _________________
/usr/lib/python3.9/site-packages/pluggy/hooks.py:286: in __call__
    return self._hookexec(self, self.get_hookimpls(), kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:93: in _hookexec
    return self._inner_hookexec(hook, methods, kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:84: in <lambda>
    self._inner_hookexec = lambda hook, methods, kwargs: hook.multicall(
/usr/lib/python3.9/site-packages/_pytest/python.py:249: in pytest_pycollect_makeitem
    res = list(collector._genfunctions(name, obj))
/usr/lib/python3.9/site-packages/_pytest/python.py:458: in _genfunctions
    definition = FunctionDefinition.from_parent(self, name=name, callobj=funcobj)
/usr/lib/python3.9/site-packages/_pytest/python.py:1619: in from_parent
    return super().from_parent(parent=parent, **kw)
/usr/lib/python3.9/site-packages/_pytest/nodes.py:190: in from_parent
    return cls._create(parent=parent, **kw)
/usr/lib/python3.9/site-packages/_pytest/nodes.py:94: in _create
    return super().__call__(*k, **kw)
/usr/lib/python3.9/site-packages/_pytest/python.py:1609: in __init__
    fixtureinfo = self.session._fixturemanager.getfixtureinfo(
/usr/lib/python3.9/site-packages/_pytest/fixtures.py:1464: in getfixtureinfo
    initialnames, names_closure, arg2fixturedefs = fm.getfixtureclosure(
/usr/lib/python3.9/site-packages/pytest_cases/plugin.py:499: in getfixtureclosure
    merge(sorted_fixturenames, _init_fixnames)
/usr/lib/python3.9/site-packages/pytest_cases/plugin.py:461: in merge
    into_list.append(l)
E   AttributeError: 'generator' object has no attribute 'append'
____________ ERROR collecting test/unit/test_quadrature_element.py _____________
/usr/lib/python3.9/site-packages/pluggy/hooks.py:286: in __call__
    return self._hookexec(self, self.get_hookimpls(), kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:93: in _hookexec
    return self._inner_hookexec(hook, methods, kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:84: in <lambda>
    self._inner_hookexec = lambda hook, methods, kwargs: hook.multicall(
/usr/lib/python3.9/site-packages/_pytest/python.py:249: in pytest_pycollect_makeitem
    res = list(collector._genfunctions(name, obj))
/usr/lib/python3.9/site-packages/_pytest/python.py:458: in _genfunctions
    definition = FunctionDefinition.from_parent(self, name=name, callobj=funcobj)
/usr/lib/python3.9/site-packages/_pytest/python.py:1619: in from_parent
    return super().from_parent(parent=parent, **kw)
/usr/lib/python3.9/site-packages/_pytest/nodes.py:190: in from_parent
    return cls._create(parent=parent, **kw)
/usr/lib/python3.9/site-packages/_pytest/nodes.py:94: in _create
    return super().__call__(*k, **kw)
/usr/lib/python3.9/site-packages/_pytest/python.py:1609: in __init__
    fixtureinfo = self.session._fixturemanager.getfixtureinfo(
/usr/lib/python3.9/site-packages/_pytest/fixtures.py:1464: in getfixtureinfo
    initialnames, names_closure, arg2fixturedefs = fm.getfixtureclosure(
/usr/lib/python3.9/site-packages/pytest_cases/plugin.py:499: in getfixtureclosure
    merge(sorted_fixturenames, _init_fixnames)
/usr/lib/python3.9/site-packages/pytest_cases/plugin.py:461: in merge
    into_list.append(l)
E   AttributeError: 'generator' object has no attribute 'append'
_____________ ERROR collecting test/unit/test_reference_element.py _____________
/usr/lib/python3.9/site-packages/pluggy/hooks.py:286: in __call__
    return self._hookexec(self, self.get_hookimpls(), kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:93: in _hookexec
    return self._inner_hookexec(hook, methods, kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:84: in <lambda>
    self._inner_hookexec = lambda hook, methods, kwargs: hook.multicall(
/usr/lib/python3.9/site-packages/_pytest/python.py:249: in pytest_pycollect_makeitem
    res = list(collector._genfunctions(name, obj))
/usr/lib/python3.9/site-packages/_pytest/python.py:458: in _genfunctions
    definition = FunctionDefinition.from_parent(self, name=name, callobj=funcobj)
/usr/lib/python3.9/site-packages/_pytest/python.py:1619: in from_parent
    return super().from_parent(parent=parent, **kw)
/usr/lib/python3.9/site-packages/_pytest/nodes.py:190: in from_parent
    return cls._create(parent=parent, **kw)
/usr/lib/python3.9/site-packages/_pytest/nodes.py:94: in _create
    return super().__call__(*k, **kw)
/usr/lib/python3.9/site-packages/_pytest/python.py:1609: in __init__
    fixtureinfo = self.session._fixturemanager.getfixtureinfo(
/usr/lib/python3.9/site-packages/_pytest/fixtures.py:1464: in getfixtureinfo
    initialnames, names_closure, arg2fixturedefs = fm.getfixtureclosure(
/usr/lib/python3.9/site-packages/pytest_cases/plugin.py:499: in getfixtureclosure
    merge(sorted_fixturenames, _init_fixnames)
/usr/lib/python3.9/site-packages/pytest_cases/plugin.py:461: in merge
    into_list.append(l)
E   AttributeError: 'generator' object has no attribute 'append'
=============================== warnings summary ===============================
test/regression/test_regression.py:169
  test/regression/test_regression.py:169: PytestCollectionWarning: yield tests were removed in pytest 4.0 - test_quadrature will be ignored
    def test_quadrature():
-- Docs: https://docs.pytest.org/en/stable/warnings.html
=========================== short test summary info ============================
ERROR test/unit/test_discontinuous_taylor.py - AttributeError: 'generator' ob...
ERROR test/unit/test_facet_support_dofs.py - AttributeError: 'generator' obje...
ERROR test/unit/test_fiat.py - AttributeError: 'generator' object has no attr...
ERROR test/unit/test_gauss_legendre.py - AttributeError: 'generator' object h...
ERROR test/unit/test_gauss_lobatto_legendre.py - AttributeError: 'generator' ...
ERROR test/unit/test_hdivtrace.py - AttributeError: 'generator' object has no...
ERROR test/unit/test_quadrature.py - AttributeError: 'generator' object has n...
ERROR test/unit/test_quadrature_element.py - AttributeError: 'generator' obje...
ERROR test/unit/test_reference_element.py - AttributeError: 'generator' objec...
!!!!!!!!!!!!!!!!!!! Interrupted: 9 errors during collection !!!!!!!!!!!!!!!!!!!!
======================== 1 warning, 9 errors in 23.20s =========================

Comment 1 Miro Hrončok 2021-06-04 20:13:51 UTC
This is a mass-posted update. Sorry if it is not 100% accurate to this bugzilla.


The Python 3.10 rebuild is in progress in a Koji side tag. If you manage to fix the problem, please commit the fix in the rawhide branch, but don't build the package in regular rawhide.

You can either build the package in the side tag, with:

    $ fedpkg build --target=f35-python

Or you can the build and we will eventually build it for you.

Note that the rebuild is still in progress, so not all (build) dependencies of this package might be available right away.

Thanks.

See also https://fedoraproject.org/wiki/Changes/Python3.10

If you have general questions about the rebuild, please use this mailing list thread: https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/G47SGOYIQLRDTWGOSLSWERZSSHXDEDH5/

Comment 2 Miro Hrončok 2021-06-07 22:58:34 UTC
The f35-python side tag has been merged to Rawhide. From now on, build as you would normally build.

Comment 3 Miro Hrončok 2021-06-08 11:25:24 UTC
*** Bug 1968975 has been marked as a duplicate of this bug. ***

Comment 4 Miro Hrončok 2021-06-10 21:11:58 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 35.

Thanks for taking care of it!


Note You need to log in before you can comment on or make changes to this bug.